package de.ivu.elect.business.exchange.entity;

import java.io.Serializable;
import java.util.List;

public class ExchangeQueueStatus implements Serializable{

  private final boolean jobKannLaufen;

  private final Long anzahlVorhandenerSlots;

  private final List<ExchangeQueueJob> laufendeJobs;

  private final Long laengeWarteschlange;

  private final Long positionWarteschlange;

  public ExchangeQueueStatus(boolean jobKannLaufen, Long anzahlVorhandenerSlots, List<ExchangeQueueJob> laufendeJobs, Long laengeWarteschlange, Long positionWarteschlange) {
    this.jobKannLaufen = jobKannLaufen;
    this.anzahlVorhandenerSlots = anzahlVorhandenerSlots;
    this.laufendeJobs = laufendeJobs;
    this.laengeWarteschlange = laengeWarteschlange;
    this.positionWarteschlange = positionWarteschlange;
  }

  public boolean isJobKannLaufen() {
    return jobKannLaufen;
  }

  public Long getAnzahlVorhandenerSlots() {
    return anzahlVorhandenerSlots;
  }

  public List<ExchangeQueueJob> getLaufendeJobs() {
    return laufendeJobs;
  }

  public Long getLaengeWarteschlange() {
    return laengeWarteschlange;
  }

  public Long getPositionWarteschlange() {
    return positionWarteschlange;
  }
}
